## golang-gogoprotobuf 1.3.1

=== debian/changelog ===
golang-gogoprotobuf (1.3.1-2build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:15:08 +0000

golang-gogoprotobuf (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Revert "Removed transitional package "golang-gogoprotobuf-dev""
    This reverts commit aa4027f5881cb890a7c167651eeb4922ec18c946.
    Add transitional package back. There are still some packages depend this.
    Remove the transitional package only after other packages have migrated to
    the new dependencies. Otherwise the testing migration will be stuck.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 18 May 2020 13:10:14 +0800

golang-gogoprotobuf (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.1
    Upload 1.3.x to unstable.
    pb.go files generated with v1.2.1 should still work with the new version.
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 17 May 2020 23:40:29 +0800

golang-gogoprotobuf (1.3.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Name.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Arnaud Rebillout ]
  * Update maintainer address to team+pkg-go@tracker.d.o
  * wrap-and-sort -ta

  [ Martín Ferrari ]
  * Name update.
  * Add libprotobuf-dev to -dev package dependencies. Closes: #900136.

  [ Dmitry Smirnov ]
  * New upstream release
  * Removed transitional package "golang-gogoprotobuf-dev" (Closes: #939229).
    Thanks, Holger Levsen.
  * rules: optimised exclusions
  * rules: no longer ignore test failures on "armhf".
  * Renamed "debian/TODO.Debian" --> "debian/TODO".
  * Standards-Version: 4.4.1
  * Added myself to Uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Jan 2020 20:28:12 +1100

=== debian/control ===
Source: golang-gogoprotobuf
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Martina Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Dmitry Smirnov <onlyjob@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.9),
               golang-any,
               protobuf-compiler,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gogoprotobuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gogoprotobuf.git
Homepage: https://github.com/gogo/protobuf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/gogo/protobuf

Package: golang-gogoprotobuf-dev
Architecture: all
Section: oldlibs
Depends: gogoprotobuf,
         golang-github-gogo-protobuf-dev,
         ${misc:Depends},
Description: transitional package -- safe to remove
 This transitional package facilitates migration to
 "golang-github-gogo-protobuf-dev" and can be safely removed.

Package: golang-github-gogo-protobuf-dev
Architecture: all
Depends: libprotobuf-dev,
         ${misc:Depends},
Recommends: gogoprotobuf,
Breaks: golang-gogoprotobuf-dev (<< 0.2-1),
Replaces: golang-gogoprotobuf-dev (<< 0.2-1),
Description: alternative protocol buffer support for Golang - sources
 An alternative protocol buffer support for the Go programming language,
 forked from golang-goprotobuf. It is backwards compatible with
 goprotobuf, but provides faster marshalling and unmarshalling and can
 generate extra helper code, tests and benchmarks.
 .
 This package provides sources.

Package: gogoprotobuf
Architecture: any
Depends: golang-github-gogo-protobuf-dev (= ${source:Version}),
         protobuf-compiler,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-gogoprotobuf-dev (<< 0.2-1),
Replaces: golang-gogoprotobuf-dev (<< 0.2-1),
Built-Using: ${misc:Built-Using},
Description: alternative protocol buffer support for Golang - utilities
 An alternative protocol buffer support for the Go programming language,
 forked from golang-goprotobuf. It is backwards compatible with
 goprotobuf, but provides faster marshalling and unmarshalling and can
 generate extra helper code, tests and benchmarks.
 .
 This package provides utilities.

## golang-gogoprotobuf 1.3.2

=== test/issue312/Makefile ===
regenerate:
	protoc --proto_path=.:$(GOPATH)/src/:$(GOPATH)/src/github.com/gogo/protobuf/protobuf/ \
	--gogo_out=. issue312.proto 
	(cd events && make regenerate)

=== test/mapdefaults/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2017, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	go install github.com/gogo/protobuf/protoc-gen-combo
	go install github.com/gogo/protobuf/protoc-gen-gogofast
	protoc-gen-combo --version="3.0.0" --proto_path=../../protobuf/:../../../../../:. --gogo_out=. map.proto
	find combos -type d -not -name combos -exec cp map_test.go.in {}/map_test.go \;
	cp unknown_test.go.in ./combos/unmarshaler/unknown_test.go
	cp unknown_test.go.in ./combos/both/unknown_test.go

=== test/packed/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. packed.proto)

=== test/unrecognizedgroup/Makefile ===
# Protocol Buffers for Go with Gadgets
#
# Copyright (c) 2013, The GoGo Authors. All rights reserved.
# http://github.com/gogo/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../protobuf/:../../../../../:. --gogo_out=. unrecognizedgroup.proto)

=== debian/changelog ===
golang-gogoprotobuf (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.2
    Fix CVE-2021-3121
  * Update Section to golang
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 28 Jan 2021 00:28:06 +0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: golang-gogoprotobuf
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Martina Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Dmitry Smirnov <onlyjob@debian.org>,
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.9),
                golang-any,
                protobuf-compiler,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-gogoprotobuf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-gogoprotobuf.git
 Homepage: https://github.com/gogo/protobuf

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/v?(\d\S*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/gogo/protobuf/tags .*/v?(\d\S*)\.tar\.gz
